
@darkGrey: #a3a3a3;
@green: #5cb85c;
@red: #d9534f;
@brown: #a34719;
@lightBlue: #58ACFA;
@darkOrange: #F7612F;
@darkBlue: #3c3cbc;
@peach: #FFCC99;
@lightOrange: #F89406;
@white: white;
@lightGrey : #c1c1c1;



/*----------- CCMANAGER state - background colors ---------*/

/*ccmanager Global view*/

.AgentLoggedOut {fill: @darkGrey; }
.AgentReady {fill: @green; }
.AgentOnPause {fill: @red; }
.AgentOnCall {fill: @brown; }
.AgentOnIncomingCall {fill: @lightBlue; }
.AgentOnOutgoingCall {fill: @brown; }
.AgentOnWrapup {fill: @darkOrange; }
.AgentOnAcdCall {fill: @darkBlue; }
.AgentDialing {fill: @peach; }
.AgentRinging {fill: @lightOrange; }



/*ccmanager Agent view*/

.TAgentLoggedOut {background: @darkGrey; color: white;}
.TAgentReady {background: @green; color: white;}
.TAgentOnPause {background: @red; color: white;}
.TAgentOnCall {background: @brown; color: white;}
.TAgentOnIncomingCall {background: @lightBlue; color: white;}
.TAgentOnOutgoingCall {background: @brown; color: white;}
.TAgentOnWrapup {background: @darkOrange; color: white;}
.TAgentOnAcdCall {background: @darkBlue; color: white;}
.TAgentDialing {background: @peach; color: white;}
.TAgentRinging {background: @lightOrange; color: white;}



/*-------CCAGENT state - background colors ---------------*/


    &.call-incoming-acd-ringing { background-color: @lightOrange; }
    &.call-incoming-acd-established { background-color: @darkBlue; }
    &.call-incoming-acd-onhold { background-color: @lightGrey; }

    &.call-outgoing-acd-dialing { background-color: @peach; }
    &.call-outgoing-acd-established { background-color: @brown; }
    &.call-outgoing-acd-onhold { background-color: @lightGrey; }

    &.call-incoming-nonacd-ringing { background-color: @lightOrange; }
    &.call-incoming-nonacd-established { background-color: @lightBlue; }
    &.call-incoming-nonacd-onhold { background-color: @lightGrey; }

    &.call-outgoing-nonacd-dialing { background-color: @peach; }
    &.call-outgoing-nonacd-established { background-color: @brown; }
    &.call-outgoing-nonacd-onhold { background-color: @lightGrey; }